#!/usr/bin/env python

# Authors:
#   Jason Gerard DeRose <jderose@redhat.com>
#
# wehjit: A Python web-widget library
# Copyright (C) 2009  Red Hat
#
# This file is part of `wehjit`.
#
# `wehjit` is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# `wehjit` is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# `wehjit`.  If not, see <http://www.gnu.org/licenses/>.

"""
Install wehjit.
"""

from distutils.core import setup
import wehjit

setup(
    name='wehjit',
    version=wehjit.__version__,
    author='Jason Gerard DeRose',
    author_email='<jderose@redhat.com>',
    license='GPLv3+',
    url='http://jderose.fedorapeople.org/wehjit/',
    packages=[
        'wehjit',
        'wehjit.plugins',
        'wehjit.examples',
    ],
    package_data=dict(
        wehjit=['static/*'],
    ),
    scripts=['wehjit-demo'],
)
